Open SCAP Library: cpe_lang_model Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
cpe_lang_model Struct Reference
CPE » CPE Language

CPE platform specification. More...

`#include <cpelang_priv.h>`

## Public Member Functions
struct cpe_lang_model * | cpe_lang_model_new (void)
| Constructor of CPE Language model.
void | cpe_lang_model_free (struct cpe_lang_model *platformspec)
| Free function of CPE test expression.
struct cpe_lang_model * | cpe_lang_model_import (const char *file)
| Load CPE language model from a XML document. More...
struct cpe_lang_model * | cpe_lang_model_import_source (struct oscap_source *source)
| Load CPE language model from an oscap_source.
void | cpe_lang_model_export (const struct cpe_lang_model *spec, const char *file)
| Write the lang_model to a file. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
struct cpe_platform_iterator * | cpe_lang_model_get_platforms (const struct cpe_lang_model *item)
| cpe_lang_model function to get CPE platforms
struct cpe_platform * | cpe_lang_model_get_item (const struct cpe_lang_model *item, const char *key)
| cpe_lang_model function to get CPE platforms
bool | cpe_platform_applicable_lang_model (const char *platform, struct cpe_lang_model *lang_model, cpe_check_fn check_cb, cpe_dict_fn dict_cb, void *usr)
| Verify whether given CPE platform idref is applicable by evaluating test expression associated with it. More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cpe_lang_model_add_platform (struct cpe_lang_model *lang, struct cpe_platform *platform)
| Add platform to CPE lang model.
Evaluators
const char * | cpe_lang_model_supported (void)
| Get supported version of CPE language XML. More...
char * | cpe_lang_model_detect_version (const char *file)
| Detect version of given CPE language XML. More...

## Data Fields
struct oscap_list * | platforms
struct oscap_htable * | item
char * | origin_file

## Detailed Description

CPE platform specification.

The documentation for this struct was generated from the following files:

- cpelang_priv.c
- cpe_lang.h